# Exchange Rate

***

## Get exchange rate in ByteChips for a currency

> Convert amount from currency to ByteChips

```json
{"openapi":"3.1.1","info":{"title":"ByteNite wallet API","version":"0.1"},"tags":[{"name":"Wallet"}],"servers":[{"url":"https://api.bytenite.com/v1/wallet"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"walletExchangeRateResponse":{"type":"object","properties":{"currency":{"type":"string"},"currencyAmount":{"type":"number","format":"double"},"exchangeRate":{"type":"number","format":"double"},"amount":{"type":"number","format":"double"}},"title":"Response messages"},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string"}},"additionalProperties":{}}}},"paths":{"/exchange_rate":{"get":{"summary":"Get exchange rate in ByteChips for a currency","description":"Convert amount from currency to ByteChips","operationId":"Wallet_GetExchangeRate","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/walletExchangeRateResponse"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/walletExchangeRateResponse"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"parameters":[{"schema":{"type":"string"},"name":"currency","in":"query","required":false},{"schema":{"type":"number","format":"double"},"name":"currencyAmount","in":"query","required":false},{"schema":{"type":"number","format":"double"},"name":"amount","in":"query","required":false}],"tags":["Wallet"]}}}}
```
